HMWJText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWContentListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "HMWJParser.hxx"`
`#include "HMWJText.hxx"`

## Classes

struct | HMWJTextInternal::PLC
| Internal and low level: the PLC different types and their structures of a HMWJText. More...
struct | HMWJTextInternal::Token
| Internal: class to store a token of a HMWJText. More...
struct | HMWJTextInternal::Section
| Internal: class to store a section of a HMWJText. More...
struct | HMWJTextInternal::TextZone
| Internal: a struct used to store a text zone. More...
struct | HMWJTextInternal::Paragraph
| Internal: class to store the paragraph properties of a HMWJText. More...
struct | HMWJTextInternal::State
| Internal: the state of a HMWJText. More...
class | HMWJTextInternal::SubDocument
| Internal: the subdocument of a HMWJText. More...

## Namespaces

| HMWJTextInternal
| Internal: the structures of a HMWJText.

## Enumerations

enum | HMWJTextInternal::PLCType { HMWJTextInternal::CHAR =0, HMWJTextInternal::RULER, HMWJTextInternal::LINE, HMWJTextInternal::TOKEN, HMWJTextInternal::Unknown }
| different PLC types More...